start

## xliff2po and po2xliff

Converts XLIFF localization files to Gettext PO files. XLIFF is the XML Localization Interchange File Format developed by LISA (The Localization Industry Standards Authority) to allow translation work to be standardised no matter what the source format and to allow the work to be freely moved from tool to tool.

## Usage

    po2xliff [options] <po> <xliff>
    xliff2po [options] <xliff> <po>

Where:

<po> | is a PO file or direcotory of PO files
<xliff> | is an XLIFF file or directory of XLIFF files

Options (xliff2po):

--version | show program’s version number and exit
-h, --help | show this help message and exit
--manpage | output a manpage based on the help
--progress=PROGRESS | show progress as: dots, none, bar, names, verbose
--errorlevel=ERRORLEVEL | show errorlevel as: none, message, exception, traceback
-iINPUT, --input=INPUT | read from INPUT in xliff format
-xEXCLUDE, --exclude=EXCLUDE | exclude names matching EXCLUDE from input paths
-oOUTPUT, --output=OUTPUT | write to OUTPUT in po, pot formats
--psyco=MODE | use psyco to speed up the operation, modes: none, full, profile
-P, --pot | output PO Templates (.pot) rather than PO files (.po)

Options (po2xliff):

--version | show program’s version number and exit
-h, --help | show this help message and exit
--manpage | output a manpage based on the help
--progress=PROGRESS | show progress as: dots, none, bar, names, verbose
--errorlevel=ERRORLEVEL | show errorlevel as: none, message, exception, traceback
-iINPUT, --input=INPUT | read from INPUT in po, pot formats
-xEXCLUDE, --exclude=EXCLUDE | exclude names matching EXCLUDE from input paths
-oOUTPUT, --output=OUTPUT | write to OUTPUT in xliff format
-tTEMPLATE, --template=TEMPLATE | read from TEMPLATE in xliff format
--psyco=MODE | use psyco to speed up the operation, modes: none, full, profile
-P, --pot | output PO Templates (.pot) rather than PO files (.po)

## Examples

    xliff2po -P xliff pot

Create POT files from the XLIFF files found in directory xliff and output them to the directory pot

    po2xliff xh xh-xlf

Convert the Xhosa PO files in xh to XLIFF and place them in xh-xlf

## Bugs

This filter is not yet extensively used... expect bugs. See xliff to see how well our implementation conforms to the standard.

The PO plural impmentation is still very new and needs acive testing.